Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: /usr/bin/xvfb-run perl(Test/Pod.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global use_x11_tests 1

Name:           perl-Config-Model-TkUI
Version:        1.369
Release:        alt1_2
Summary:        TK GUI to edit config data through Config::Model
License:        LGPLv2+
URL:            https://metacpan.org/release/Config-Model-TkUI
Source0:        https://cpan.metacpan.org/authors/id/D/DD/DDUMONT/Config-Model-TkUI-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Config/Model.pm)
BuildRequires:  perl(Config/Model/ObjTreeScanner.pm)
BuildRequires:  perl(Config/Model/Tester.pm)
BuildRequires:  perl(Config/Model/Tester/Setup.pm)
BuildRequires:  perl(Config/Model/Value.pm)
BuildRequires:  perl(ExtUtils/testlib.pm)
BuildRequires:  perl(File/HomeDir.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Log/Log4perl.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Path/Tiny.pm)
BuildRequires:  perl(Pod/POM.pm)
BuildRequires:  perl(Pod/POM/View/Text.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(subs.pm)
BuildRequires:  perl(Test/Memory/Cycle.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Warn.pm)
BuildRequires:  perl(Text/Diff.pm)
BuildRequires:  perl(Text/Wrap.pm)
BuildRequires:  perl(Tk.pm)
BuildRequires:  perl(Tk/Adjuster.pm)
BuildRequires:  perl(Tk/Balloon.pm)
BuildRequires:  perl(Tk/BrowseEntry.pm)
BuildRequires:  perl(Tk/Dialog.pm)
BuildRequires:  perl(Tk/DialogBox.pm)
BuildRequires:  perl(Tk/DirSelect.pm)
BuildRequires:  perl(Tk/DoubleClick.pm)
BuildRequires:  perl(Tk/FontDialog.pm)
BuildRequires:  perl(Tk/Frame.pm)
BuildRequires:  perl(Tk/Menubutton.pm)
BuildRequires:  perl(Tk/NoteBook.pm)
BuildRequires:  perl(Tk/ObjScanner.pm)
BuildRequires:  perl(Tk/Pane.pm)
BuildRequires:  perl(Tk/Photo.pm)
BuildRequires:  perl(Tk/PNG.pm)
BuildRequires:  perl(Tk/Pod.pm)
BuildRequires:  perl(Tk/Pod/Text.pm)
BuildRequires:  perl(Tk/ROText.pm)
BuildRequires:  perl(Tk/Toplevel.pm)
BuildRequires:  perl(Tk/Tree.pm)
BuildRequires:  perl(Try/Tiny.pm)
BuildRequires:  perl(utf8.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(YAML.pm)
%if %{use_x11_tests}
# X11 tests:
BuildRequires:  xorg-xvfb xvfb-run
BuildRequires:  xinit
BuildRequires:  fontlang(en)
%endif
Source44: import.info

%description
This class provides a GUI for Config::Model.

%prep
%setup -q -n Config-Model-TkUI-%{version}

%build
/usr/bin/perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %{use_x11_tests}
    xvfb-run -a ./Build test
%endif

%files
%doc --no-dereference LICENSE
%doc Changes README.md
%{perl_vendor_privlib}/*

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.369-alt1_2
- update to new release by fcimport

* Thu Feb 07 2019 Igor Vlasenko <viy@altlinux.ru> 1.369-alt1_1
- update to new release by fcimport

* Mon Dec 17 2018 Igor Vlasenko <viy@altlinux.ru> 1.368-alt1_1
- update to new release by fcimport

* Sun Sep 16 2018 Igor Vlasenko <viy@altlinux.ru> 1.367-alt1_1
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.366-alt1_3
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 1.366-alt1_2
- update to new release by fcimport

* Sun May 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.366-alt1_1
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.364-alt1_1
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 1.357-alt1_1
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 1.354-alt1_2
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.322-alt1_11
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.322-alt1_10
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.322-alt1_9
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.322-alt1_7
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.322-alt1_6
- update to new release by fcimport

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 1.322-alt1_4
- fc import

